Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class CommunitiesConfigProperties

    java.lang.Object
      com.bea.netuix.application.communities.CommunitiesConfigProperties

    public class CommunitiesConfigProperties

extends Object

Represents a set of properties which have been configured via communities-config.xml. Each such set is associated with a name, and contains a set of values each of which are keyed on a string name.

The overview of community functionality contains a description of the community framework.

Field Summary
`protected String` | `name`
`protected Map<String,String>` | `properties`

Constructor Summary
`protected` | `CommunitiesConfigProperties(String name)`

Method Summary
`static Set<String>` | `getAllPropertiesNames()` Gets a Set of Strings which are the names of each property-map section defined withing properties-config in communities-config.xml
`Set<String>` | `getAllPropertyNames()` Get a `Set` of the names for all of the properties in this instance of `CommunitiesConfigProperties`
`String` | `getName()` Gets the name of this set of properties, as defined in communities-config.xml
`static CommunitiesConfigProperties` | `getProperties(String name)` Get a named set of properties from communities-config.xml
`String` | `getProperty(String name)` Gets a named property from this set of properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### properties

    protected Map<String,String> properties

Constructor Detail

### CommunitiesConfigProperties

    protected CommunitiesConfigProperties(String name)

Method Detail

### getProperties

    public static CommunitiesConfigProperties getProperties(String name)

  Get a named set of properties from communities-config.xml

  Parameters
    `name` - of the properties to get
  Returns
    the set of properties, if they exist, otherwise null

### getAllPropertiesNames

    public static Set<String> getAllPropertiesNames()

  Gets a Set of Strings which are the names of each property-map section defined withing properties-config in communities-config.xml

  Returns
    set of all property-map names

### getName

    public String getName()

  Gets the name of this set of properties, as defined in communities-config.xml

  Returns
    the name of this set of properties

### getAllPropertyNames

    public Set<String> getAllPropertyNames()

  Get a `Set` of the names for all of the properties in this instance of `CommunitiesConfigProperties`

  Returns
    a `Set` of all of the property names for this config

### getProperty

    public String getProperty(String name)

  Gets a named property from this set of properties

  Parameters
    `name` - the name of the property to get
  Returns
    value of the property, if it exists, otherwise null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved